<div class="miam-counter-input">
  <ng-miam-icon class='miam-counter-input__icon' [width]="24" [height]="24" primaryColor='var(--m-color-light-slate)'
    [iconName]="icon.Group">
  </ng-miam-icon>
  <span class="miam-counter-input__button miam-counter-input__button__minus" (click)="decrement($event)">
    <ng-miam-icon primaryColor='var(--m-color-secondary)' [iconName]="icon.Minus">
    </ng-miam-icon>
  </span>
  <input #counterInput class="miam-counter-input__count m-small-typo" [(ngModel)]="counter" [maxLength]="3" (click)="prevent($event)"
    (focus)='selected.emit(true);' (ngModelChange)="updateValue()">
  <span class="miam-counter-input__button miam-counter-input__button__plus" >
    <ng-miam-icon primaryColor='var(--m-color-light-slate) ' (click)="increment($event)" [iconName]="icon.Plus">
    </ng-miam-icon>
  </span>
</div>